Números em ordem crescente dentro de círculos

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)
Mais um exemplo:

;; Escreve números em ordem crescente dentro de pequenos círculos

(defun c:CresNumC ()
(setq p1 (getpoint “P …”))
(setq k (getreal “n”))
(while k
(setq k (+ k 1))
(setq ks (rtos k 2 0))
(command “text” p1 “9” “0” ks)
(setq o1 (ssget “l”))
(command “circle” p1 “15”)
(setq o2 (ssget “l”))
(command “change” “l” “” “p” “c” “3” “”)
(command “move” “l” “” p1 “@6,4”)
(command “scale” o1 o2 “” p1 “.3333”)
(setq p1 (getpoint “P …”))
)
)

Sobre NilsonRDG

Minha lista de scripts/rotinas em Autolisp, Autohotkey, JavaScript, PHP e VBA. Nilson Rodrigues - Ouro Preto - MG
Esse post foi publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil. Bookmark o link permanente.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

Conectando a %s